io.agora.rtc

## Class AnaStats

- java.lang.Object
- - io.agora.rtc.AnaStats

-     public class AnaStats
      extends java.lang.Object

  Statistics for adaptive network analysis.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `bitrateActionCounter` Bitrate action counter
    `private int` | `channelActionCounter` Channel action counter
    `private int` | `dtxActionCounter` DTX action counter
    `private int` | `fecActionCounter` FEC action counter
    `private int` | `frameLengthDecreaseCounter` Frame length decrease counter
    `private int` | `frameLengthIncreaseCounter` Frame length increase counter
    `private float` | `uplinkPacketLossFraction` Uplink packet loss fraction

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnaStats()` Default constructor for AnaStats.
    `AnaStats(int bitrateActionCounter, int channelActionCounter, int dtxActionCounter, int fecActionCounter, int frameLengthIncreaseCounter, int frameLengthDecreaseCounter, float uplinkPacketLossFraction)` Constructs AnaStats with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBitrateActionCounter()` Gets the bitrate action counter.
    `int` | `getChannelActionCounter()` Gets the channel action counter.
    `int` | `getDtxActionCounter()` Gets the DTX action counter.
    `int` | `getFecActionCounter()` Gets the FEC action counter.
    `int` | `getFrameLengthDecreaseCounter()` Gets the frame length decrease counter.
    `int` | `getFrameLengthIncreaseCounter()` Gets the frame length increase counter.
    `float` | `getUplinkPacketLossFraction()` Gets the uplink packet loss fraction.
    `void` | `setBitrateActionCounter(int bitrateActionCounter)` Sets the bitrate action counter.
    `void` | `setChannelActionCounter(int channelActionCounter)` Sets the channel action counter.
    `void` | `setDtxActionCounter(int dtxActionCounter)` Sets the DTX action counter.
    `void` | `setFecActionCounter(int fecActionCounter)` Sets the FEC action counter.
    `void` | `setFrameLengthDecreaseCounter(int frameLengthDecreaseCounter)` Sets the frame length decrease counter.
    `void` | `setFrameLengthIncreaseCounter(int frameLengthIncreaseCounter)` Sets the frame length increase counter.
    `void` | `setUplinkPacketLossFraction(float uplinkPacketLossFraction)` Sets the uplink packet loss fraction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### bitrateActionCounter

          private int bitrateActionCounter

      Bitrate action counter

    - #### channelActionCounter

          private int channelActionCounter

      Channel action counter

    - #### dtxActionCounter

          private int dtxActionCounter

      DTX action counter

    - #### fecActionCounter

          private int fecActionCounter

      FEC action counter

    - #### frameLengthIncreaseCounter

          private int frameLengthIncreaseCounter

      Frame length increase counter

    - #### frameLengthDecreaseCounter

          private int frameLengthDecreaseCounter

      Frame length decrease counter

    - #### uplinkPacketLossFraction

          private float uplinkPacketLossFraction

      Uplink packet loss fraction

  - ### Constructor Detail

    - #### AnaStats

          public AnaStats()

      Default constructor for AnaStats.

    - #### AnaStats

          public AnaStats(int bitrateActionCounter,
                          int channelActionCounter,
                          int dtxActionCounter,
                          int fecActionCounter,
                          int frameLengthIncreaseCounter,
                          int frameLengthDecreaseCounter,
                          float uplinkPacketLossFraction)

      Constructs AnaStats with all parameters.
      Parameters:
        `bitrateActionCounter` - Bitrate action counter
        `channelActionCounter` - Channel action counter
        `dtxActionCounter` - DTX action counter
        `fecActionCounter` - FEC action counter
        `frameLengthIncreaseCounter` - Frame length increase counter
        `frameLengthDecreaseCounter` - Frame length decrease counter
        `uplinkPacketLossFraction` - Uplink packet loss fraction

  - ### Method Detail

    - #### getBitrateActionCounter

          public int getBitrateActionCounter()

      Gets the bitrate action counter.
      Returns:
        Bitrate action counter

    - #### setBitrateActionCounter

          public void setBitrateActionCounter(int bitrateActionCounter)

      Sets the bitrate action counter.
      Parameters:
        `bitrateActionCounter` - Bitrate action counter

    - #### getChannelActionCounter

          public int getChannelActionCounter()

      Gets the channel action counter.
      Returns:
        Channel action counter

    - #### setChannelActionCounter

          public void setChannelActionCounter(int channelActionCounter)

      Sets the channel action counter.
      Parameters:
        `channelActionCounter` - Channel action counter

    - #### getDtxActionCounter

          public int getDtxActionCounter()

      Gets the DTX action counter.
      Returns:
        DTX action counter

    - #### setDtxActionCounter

          public void setDtxActionCounter(int dtxActionCounter)

      Sets the DTX action counter.
      Parameters:
        `dtxActionCounter` - DTX action counter

    - #### getFecActionCounter

          public int getFecActionCounter()

      Gets the FEC action counter.
      Returns:
        FEC action counter

    - #### setFecActionCounter

          public void setFecActionCounter(int fecActionCounter)

      Sets the FEC action counter.
      Parameters:
        `fecActionCounter` - FEC action counter

    - #### getFrameLengthIncreaseCounter

          public int getFrameLengthIncreaseCounter()

      Gets the frame length increase counter.
      Returns:
        Frame length increase counter

    - #### setFrameLengthIncreaseCounter

          public void setFrameLengthIncreaseCounter(int frameLengthIncreaseCounter)

      Sets the frame length increase counter.
      Parameters:
        `frameLengthIncreaseCounter` - Frame length increase counter

    - #### getFrameLengthDecreaseCounter

          public int getFrameLengthDecreaseCounter()

      Gets the frame length decrease counter.
      Returns:
        Frame length decrease counter

    - #### setFrameLengthDecreaseCounter

          public void setFrameLengthDecreaseCounter(int frameLengthDecreaseCounter)

      Sets the frame length decrease counter.
      Parameters:
        `frameLengthDecreaseCounter` - Frame length decrease counter

    - #### getUplinkPacketLossFraction

          public float getUplinkPacketLossFraction()

      Gets the uplink packet loss fraction.
      Returns:
        Uplink packet loss fraction

    - #### setUplinkPacketLossFraction

          public void setUplinkPacketLossFraction(float uplinkPacketLossFraction)

      Sets the uplink packet loss fraction.
      Parameters:
        `uplinkPacketLossFraction` - Uplink packet loss fraction